class CreateTasks < ActiveRecord::Migration
  def change
    create_table :tasks do |t|
      t.string :title
      t.string :description

      t.integer :time_planned
      t.integer :time_actual

      t.integer :priority  # Blocker, Critical, Major, Minor, Trivial
      t.integer :type # Epic, Bug, Improvement, New Feature, Story, Task
      t.integer :status 

      t.integer :assigned_to # should be belongs_to :user
      t.integer :created_by # should be belongs_to :user
    end
  end
end
