require 'active_record'

module Trackington
  module Models
    class ProjectRole < ActiveRecord::Base
      enum role_type: [:owner, :contributor, :spectator]

      belongs_to :project
      belongs_to :user
    end
  end
end
