require 'active_record'

module Trackington
  module Models
    class Task < ActiveRecord::Base
      enum status: [:open, :in_progress, :resolved, :closed, :reopened]
      enum priority: [:blocker, :critical, :major, :minor, :trivial]
      enum task_type: [:bug, :improvement, :new_feature, :story, :task]

      belongs_to :sprint
    end
  end
end
